de.caff.generics.mda

## Class TwoDimensionalIntReadAccess.Base

- java.lang.Object
- - de.caff.generics.mda.TwoDimensionalReadAccess.Base<java.lang.Integer>
  - - de.caff.generics.mda.TwoDimensionalIntReadAccess.Base

- All Implemented Interfaces:
    MultiDimensional, MultiDimensionalReadAccess<java.lang.Integer>, TwoDimensionalIntReadAccess, TwoDimensionalReadAccess<java.lang.Integer>
  Direct Known Subclasses:
    SmallTwoDimensionalIntArray, TwoDimensionalIntArray
  Enclosing interface:
    TwoDimensionalIntReadAccess

      public abstract static class TwoDimensionalIntReadAccess.Base
      extends TwoDimensionalReadAccess.Base<java.lang.Integer>
      implements TwoDimensionalIntReadAccess

  Base class implementing this interface which provides useful default methods for `Object.toString()`, `Object.equals(Object)`, and `Object.hashCode()`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface de.caff.generics.mda.TwoDimensionalIntReadAccess

      `TwoDimensionalIntReadAccess.Base`

  - ### Field Summary

    - ### Fields inherited from interface de.caff.generics.mda.TwoDimensionalIntReadAccess

      `EMPTY`

    - ### Fields inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `EMPTY0, EMPTY1, EMPTY2, EMPTY3, EMPTY4, EMPTY5, EMPTY6, EMPTY7`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Base()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `TwoDimensionalIntReadAccess.Base` | `asBase()` View this class as if it has useful defaults for standard object methods.

    - ### Methods inherited from class de.caff.generics.mda.TwoDimensionalReadAccess.Base

      `equals, hashCode, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface de.caff.generics.mda.TwoDimensionalIntReadAccess

      `getElementAt, getValueAt, singleton, subAtX, subAtY, transposed`

    - ### Methods inherited from interface de.caff.generics.mda.TwoDimensionalReadAccess

      `empty, equal, getElement, getNumDimensions, getNumElements, getSize, getSizes, hash, sizeX, sizeY, toString, view, visitAll, visitAll, xIterable, xIterator, yIterable, yIterator`

    - ### Methods inherited from interface de.caff.generics.mda.MultiDimensionalReadAccess

      `empty, linearized`

- - ### Constructor Detail

    - #### Base

          public Base()

  - ### Method Detail

    - #### asBase

          @NotNull
          public TwoDimensionalIntReadAccess.Base asBase()

      Description copied from interface: `TwoDimensionalReadAccess`
      View this class as if it has useful defaults for standard object methods.
      Specified by:
        `asBase` in interface `TwoDimensionalIntReadAccess`
      Specified by:
        `asBase` in interface `TwoDimensionalReadAccess<java.lang.Integer>`
      Overrides:
        `asBase` in class `TwoDimensionalReadAccess.Base<java.lang.Integer>`
      Returns:
        based view of this class